Watchlist
The Watchlist API is an automated tool for transaction verification and fraud prevention. With this API, merchants can create and manage Watchlists of shoppers to automatically accept, verify, or block transactions. To add a Watchlist item, please use the ‘create’ endpoint. To make changes to an existing Watchlist item, please use the ‘update’ endpoint. To retrieve a specific item in the Watchlist, please provide the item_id with the ‘get’ endpoint.
GET /api/v1/risk/watchlistGET /api/v1/risk/watchlist/{item_id}POST /api/v1/risk/watchlist/{item_id}/updatePOST /api/v1/risk/watchlist/create
Get list of items
GET /api/v1/risk/watchlist
Get list of items with optional filters, sorted by the item creation date in descending order.
Filter on action of Watchlist item.
The start date of created_at in ISO8601 format (yyyy-MM-dd'T'HH:mm:ssZ). The default is 30 days before to_create_at.
A bookmark for use in pagination to retrieve either the next page or the previous page of results. You can fetch the value for this identifier from the response of the previous API call. To retrieve the next page of results, pass the value of page_after (if not null) from the response to a subsequent call. To retrieve the previous page of results, pass the value of page_before (if not null) from the response to a subsequent call.
A limit on the number of records to be returned on a page, between 1 and 2000. The default is 100.
Filter on status of Watchlist item.
The end date of created_at in ISO8601 format (yyyy-MM-dd'T'HH:mm:ssZ). The default is current time.
Filter on type of Watchlist item.
Filter on value of Watchlist item.
Paged results.
Risk action to be taken by the risk engine: Use BLOCK, VERIFY, ACCEPT to always perform the associated risk action. The risk engine will prioritize actions in the following order: BLOCK>VERIFY>ACCEPT.
Please note that ACCEPT functionality will only be available to users with good fraud performance and will be subject to reasonable usage limits.
The latest timestamp the Watchlist item was created.
Unique identifier for the item.
The reason for adding this item to the Watchlist.
Unique request id for the item.
The status of the list item will be one of: ACTIVE, INACTIVE, DEACTIVATED. Default is ACTIVE. Some list items may be forcefully DEACTIVATED based on fraud performance.
The type of the Watchlist item.
The latest timestamp the Watchlist item was updated.
The value of the item corresponding to the correct type.
The page cursor used for searching after page.
The page cursor used for search before page.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Unauthorized |
| 403 | Possible errors: |
| 404 | Possible errors: |
| 500 | Possible errors: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/risk/watchlist' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "action": "BLOCK",5 "created_at": "2023-01-01T00:00:00+0000",6 "reason": "risk concern",7 "status": "ACTIVE",8 "type": "CUSTOMER_EMAIL",9 "updated_at": "2023-01-01T00:00:00+0000",10 "value": "[email protected]"11 }12 ],13 "page_after": "YWZ0ZXI9MTk5MTI3NzEtNjRmZi00NjljLTlkZTItY2I1MzM1OWU5NWZj",14 "page_before": "YWZ0ZXI9MTk5MTI3NzEtNjRmZi00NjljLTlkZTItY2I1MzM1OWU5NWZj"15}
Get a item by ID
GET /api/v1/risk/watchlist/{item_id}
Get a specific Watchlist item by specifying the Airwallex item_id.
item_id of the item to retrieve.
Risk action to be taken by the risk engine: Use BLOCK, VERIFY, ACCEPT to always perform the associated risk action. The risk engine will prioritize actions in the following order: BLOCK>VERIFY>ACCEPT.
Please note that ACCEPT functionality will only be available to users with good fraud performance and will be subject to reasonable usage limits.
The latest timestamp the Watchlist item was created.
Unique identifier for the item.
The reason for adding this item to the Watchlist.
Unique request id for the item.
The status of the list item will be one of: ACTIVE, INACTIVE, DEACTIVATED. Default is ACTIVE. Some list items may be forcefully DEACTIVATED based on fraud performance.
The type of the Watchlist item.
The latest timestamp the Watchlist item was updated.
The value of the item corresponding to the correct type.
| Error status | Description |
|---|---|
| 401 | Unauthorized |
| 403 | Possible errors: |
| 404 | Possible errors: |
| 500 | Possible errors: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/risk/watchlist/item_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "action": "BLOCK",3 "created_at": "2023-01-01T00:00:00+0000",4 "id": "<string>",5 "reason": "risk concern",6 "request_id": "<string>",7 "status": "ACTIVE",8 "type": "CUSTOMER_EMAIL",9 "updated_at": "2023-01-01T00:00:00+0000",10 "value": "[email protected]"11}
Update item by ID
POST /api/v1/risk/watchlist/{item_id}/update
Edit an existing Watchlist item stored on the Airwallex platform.
item_id of the list item to update.
The reason for adding this item to the Watchlist.
Unique id for the request.
The status of the list item should be one of:ACTIVE,INACTIVE. Default is:ACTIVE.
The value of the item corresponding to the correct type.
Risk action to be taken by the risk engine: Use BLOCK, VERIFY, ACCEPT to always perform the associated risk action. The risk engine will prioritize actions in the following order: BLOCK>VERIFY>ACCEPT.
Please note that ACCEPT functionality will only be available to users with good fraud performance and will be subject to reasonable usage limits.
The latest timestamp the Watchlist item was created.
Unique identifier for the item.
The reason for adding this item to the Watchlist.
Unique request id for the item.
The status of the list item will be one of: ACTIVE, INACTIVE, DEACTIVATED. Default is ACTIVE. Some list items may be forcefully DEACTIVATED based on fraud performance.
The type of the Watchlist item.
The latest timestamp the Watchlist item was updated.
The value of the item corresponding to the correct type.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Unauthorized |
| 403 | Possible errors: |
| 404 | Possible errors: |
| 409 | Possible errors: |
| 500 | Possible errors: |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/risk/watchlist/item_id/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "reason": "risk concern",> "request_id": "<string>",> "status": "ACTIVE",> "value": "[email protected]">}'
1{2 "action": "BLOCK",3 "created_at": "2023-01-01T00:00:00+0000",4 "id": "<string>",5 "reason": "risk concern",6 "request_id": "<string>",7 "status": "ACTIVE",8 "type": "CUSTOMER_EMAIL",9 "updated_at": "2023-01-01T00:00:00+0000",10 "value": "[email protected]"11}
Add an item to the watchlist
POST /api/v1/risk/watchlist/create
Add an item to the Watchlist.
Risk action to be taken by the risk engine: Use BLOCK, VERIFY, ACCEPT to always perform the associated risk action. The risk engine will prioritize actions in the following order: BLOCK>VERIFY>ACCEPT.
Please note that ACCEPT functionality will only be available to users with good fraud performance and will be subject to reasonable usage limits.
The reason for adding this item to the Watchlist.
Unique id for the request
The status of the list item should be one of:ACTIVE,INACTIVE. Default is:ACTIVE.
The type of the Watchlist item: CARD_BIN, CARD_FINGERPRINT, CARD_ISSUER_COUNTRY_CODE, CUSTOMER_EMAIL, CUSTOMER_ID.
Please note that ACCEPT Watchlist only supports CARD_FINGERPRINT, CUSTOMER_EMAIL and CUSTOMER_ID.
The following data fields are case sensitive: CARD_FINGERPRINT, CUSTOMER_ID.
The value of the item corresponding to the correct type.
Risk action to be taken by the risk engine: Use BLOCK, VERIFY, ACCEPT to always perform the associated risk action. The risk engine will prioritize actions in the following order: BLOCK>VERIFY>ACCEPT.
Please note that ACCEPT functionality will only be available to users with good fraud performance and will be subject to reasonable usage limits.
The latest timestamp the Watchlist item was created.
Unique identifier for the item.
The reason for adding this item to the Watchlist.
Unique request id for the item.
The status of the list item will be one of: ACTIVE, INACTIVE, DEACTIVATED. Default is ACTIVE. Some list items may be forcefully DEACTIVATED based on fraud performance.
The type of the Watchlist item.
The latest timestamp the Watchlist item was updated.
The value of the item corresponding to the correct type.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Unauthorized |
| 403 | Possible errors: |
| 404 | Possible errors: |
| 409 | Possible errors: |
| 500 | Possible errors: |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/risk/watchlist/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "action": "BLOCK",> "reason": "risk concern",> "request_id": "request_id",> "status": "ACTIVE",> "type": "CUSTOMER_EMAIL",> "value": "[email protected]">}'
1{2 "action": "BLOCK",3 "created_at": "2023-01-01T00:00:00+0000",4 "id": "<string>",5 "reason": "risk concern",6 "request_id": "<string>",7 "status": "ACTIVE",8 "type": "CUSTOMER_EMAIL",9 "updated_at": "2023-01-01T00:00:00+0000",10 "value": "[email protected]"11}